#include "Adafruit_VL53L0X.h"

Adafruit_VL53L0X lox = Adafruit_VL53L0X();
int count=0;
  int sensnum;
boolean fst,snd;
void setup() {
  Serial.begin(115200);

  // wait until serial port opens for native USB devices
  while (! Serial) {
    delay(1);
  }
  
  Serial.println("Adafruit VL53L0X two sensors");
  
  pinMode(4,OUTPUT);
  pinMode(5,OUTPUT);
  for(int i=11;i<14;i++){
    pinMode(i,OUTPUT);
  }
  digitalWrite(5,LOW);//sensor #1 activate
  digitalWrite(4,HIGH);//sensor #2 deactivate
  
  Serial.println("Adafruit VL53L0X test");
  if (!lox.begin()) {
    Serial.println(F("Failed to boot VL53L0X sensor#1"));
    while(1);
  }

  digitalWrite(5,HIGH);//sensor #1 activate
  digitalWrite(4,LOW);//sensor #2 deactivate
  Serial.println("Adafruit VL53L0X test");
  if (!lox.begin()) {
    Serial.println(F("Failed to boot VL53L0X sensor#2"));
    while(1);
  }
  // power 
  fst=LOW;
  snd=HIGH;
  sensnum=2;
  Serial.println(F("VL53L0X API Simple Ranging example\n\n")); 
}


void loop() {
  VL53L0X_RangingMeasurementData_t measure;

  count++;
  Serial.print("Reading a measurement... ");
  lox.rangingTest(&measure, false); // pass in 'true' to get debug data printout!
  if(count==1){
    count=0;
    fst=!fst;
    snd=!snd;
  digitalWrite(4,fst);//sensor #1 setting
  digitalWrite(5,snd);//sensor #2 setting
  lox.begin();
  if(fst==1){
    sensnum=1;
    digitalWrite(11,LOW);
    digitalWrite(12,HIGH);
    digitalWrite(13,HIGH);    
  }else{
    sensnum=2;
    digitalWrite(11,HIGH);
    digitalWrite(12,LOW);
    digitalWrite(13,LOW);      
  }
    
  }
  if (measure.RangeStatus != 4) {  // phase failures have incorrect data
    Serial.print("Sensor No.");
    Serial.println(sensnum);
    Serial.print("Distance (mm): "); Serial.println(measure.RangeMilliMeter);
  } else {
    Serial.println(" out of range ");
  }
    
  //delay(50);
}
